Last Comment Bug 707992 - Upgrade to virtualenv 1.7 for mozmill tests
: Upgrade to virtualenv 1.7 for mozmill tests
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Testing Infrastructure (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Thunderbird 11.0
Assigned To: Siddharth Agarwal [:sid0] (inactive)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-06 10:36 PST by Siddharth Agarwal [:sid0] (inactive)
Modified: 2011-12-10 09:14 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (1.03 MB, patch)
2011-12-06 10:36 PST, Siddharth Agarwal [:sid0] (inactive)
no flags Details | Diff | Splinter Review

Description Siddharth Agarwal [:sid0] (inactive) 2011-12-06 10:36:59 PST
Created attachment 579364 [details] [diff] [review]
patch

LpSolit, this might fix the issue you were having with building tests on Thunderbird. You might want to try building in mail/test/mozmill with this patch applied.

This should be rs=Standard8. There's one change: since --no-site-packages has been made the default and the option deprecated, I've removed it.

Pushed to try: http://build.mozillamessaging.com/tinderboxpushlog/?tree=ThunderbirdTry&rev=a8bdb1320937
Comment 1 Siddharth Agarwal [:sid0] (inactive) 2011-12-09 23:51:37 PST
https://hg.mozilla.org/comm-central/rev/fabe9b1451e2
Comment 2 Siddharth Agarwal [:sid0] (inactive) 2011-12-09 23:52:24 PST
(LpSolit, could you try building again?)
Comment 3 Frédéric Buclin 2011-12-10 05:47:43 PST
I now get:

rm -rf ../../../mozilla/_tests/mozmill/../mozmill-virtualenv && \
mkdir ../../../mozilla/_tests/mozmill/../mozmill-virtualenv && \
/usr/bin/python2.7 ../../../mozilla/_tests/mozmill/resources/installmozmill.py ../../../mozilla/_tests/mozmill/../mozmill-virtualenv
Python: 2.7.1 (r271:86832, Sep  5 2011, 15:04:00)
[GCC 4.5.2]
The PYTHONDONTWRITEBYTECODE environment variable is not compatible with setuptools. Either use --distribute or unset PYTHONDONTWRITEBYTECODE.
Failure to install virtualenv
make[5]: *** [mozmill-virtualenv] Erreur 2
Comment 4 Siddharth Agarwal [:sid0] (inactive) 2011-12-10 08:42:20 PST
https://mxr.mozilla.org/comm-central/search?find=%2F&string=PYTHONDONTWRITEBYTECODE

We don't set it anywhere -- this seems to be specific to your environment. (I'd be really surprised if Ubuntu sets it by default.)

What happens if you try unsetting it and proceeding?
Comment 5 Frédéric Buclin 2011-12-10 09:14:39 PST
I deleted this env variable, and now the error message is the same as I had before:

rm -rf ../../../mozilla/_tests/mozmill/../mozmill-virtualenv && \
mkdir ../../../mozilla/_tests/mozmill/../mozmill-virtualenv && \
/usr/bin/python2.7 ../../../mozilla/_tests/mozmill/resources/installmozmill.py ../../../mozilla/_tests/mozmill/../mozmill-virtualenv
Python: 2.7.1 (r271:86832, Sep  5 2011, 15:04:00) 
[GCC 4.5.2]
New python executable in /root/tmp/tb/comm-central/obj-i686-pc-linux-gnu/mozilla/_tests/mozmill-virtualenv/bin/python2.7
Also creating executable in /root/tmp/tb/comm-central/obj-i686-pc-linux-gnu/mozilla/_tests/mozmill-virtualenv/bin/python
Installing setuptools....
  Complete output from command /root/tmp/tb/comm-ce...ualenv/bin/python2.7 -c "#!python
\"\"\"Bootstra...sys.argv[1:])



" /root/tmp/tb/comm-ce...ols-0.6c11-py2.7.egg:
  error: invalid Python installation: unable to open /root/tmp/tb/comm-central/obj-i686-pc-linux-gnu/mozilla/_tests/mozmill-virtualenv/include/multiarch-i386-linux/python2.7/pyconfig.h (No such file or directory)
----------------------------------------
...Installing setuptools...done.
Traceback (most recent call last):
  File "virtualenv/virtualenv.py", line 2098, in <module>
    main()
  File "virtualenv/virtualenv.py", line 928, in main
    never_download=options.never_download)
  File "virtualenv/virtualenv.py", line 1040, in create_environment
    search_dirs=search_dirs, never_download=never_download)
  File "virtualenv/virtualenv.py", line 593, in install_setuptools
    search_dirs=search_dirs, never_download=never_download)
  File "virtualenv/virtualenv.py", line 567, in _install_req
    cwd=cwd)
  File "virtualenv/virtualenv.py", line 1006, in call_subprocess
    % (cmd_desc, proc.returncode))
OSError: Command /root/tmp/tb/comm-ce...ualenv/bin/python2.7 -c "#!python
\"\"\"Bootstra...sys.argv[1:])


" /root/tmp/tb/comm-ce...ols-0.6c11-py2.7.egg failed with error code 1
Failure to install virtualenv

Note You need to log in before you can comment on or make changes to this bug.